Linux @ CERN

CERN > IT > Linux

CentOS 7 - Updates for x86_64: development/libraries: rubygem-bigdecimal

rubygem-bigdecimal - BigDecimal provides arbitrary-precision floating point decimal arithmetic

Website: http://ruby-lang.org/
License: GPL+ or Artistic
Vendor: CentOS
Description:
Ruby provides built-in support for arbitrary precision integer arithmetic.
For example:

42**13 -> 1265437718438866624512

BigDecimal provides similar support for very large or very accurate floating
point numbers. Decimal arithmetic is also useful for general calculation,
because it provides the correct answers people expect–whereas normal binary
floating point arithmetic often introduces subtle errors because of the
conversion between base 10 and base 2.

Packages

rubygem-bigdecimal-1.2.0-36.el7.x86_64 [84 KiB] Changelog by Vít Ondruch (2019-04-04):
- Introduce `Gem::UserInteraction#verbose` method as precondition to fix
  CVE-2019-8321.
  * rubygems-2.3.0-refactor-checking-really_verbose.patch
- Fix escape sequence injection vulnerability in verbose.
- Fix escape sequence injection vulnerability in gem owner.
  Resolves: CVE-2019-8322
- Fix escape sequence injection vulnerability in API response handling.
  Resolves: CVE-2019-8323
- Prohibit arbitrary code execution when installing a malicious gem.
  Resolves: CVE-2019-8324
- Fix escape sequence injection vulnerability in errors.
  Resolves: CVE-2019-8325
  * ruby-2.4.6-Applied-security-patches-for-RubyGems.patch
rubygem-bigdecimal-1.2.0-35.el7_6.x86_64 [83 KiB] Changelog by Vít Ondruch (2019-04-04):
- Introduce `Gem::UserInteraction#verbose` method as precondition to fix
  CVE-2019-8321.
  * rubygems-2.3.0-refactor-checking-really_verbose.patch
- Fix escape sequence injection vulnerability in verbose.
- Fix escape sequence injection vulnerability in gem owner.
- Fix escape sequence injection vulnerability in API response handling.
- Prohibit arbitrary code execution when installing a malicious gem.
- Fix escape sequence injection vulnerability in errors.
  * ruby-2.4.6-Applied-security-patches-for-RubyGems.patch
  Resolves: rhbz#1699283
rubygem-bigdecimal-1.2.0-34.el7_6.x86_64 [82 KiB] Changelog by Jun Aruga (2018-11-01):
- CVE-2018-16395: Fix OpenSSL::X509::Name equality check does not work.
  Resolves: CVE-2018-16395
rubygem-bigdecimal-1.2.0-33.el7_4.x86_64 [82 KiB] Changelog by Vít Ondruch (2018-02-19):
- Fix always passing WEBrick test.
rubygem-bigdecimal-1.2.0-30.el7.x86_64 [80 KiB] Changelog by Vít Ondruch (2017-03-01):
- Fix test_npn_protocol_selection_ary and test_npn_protocol_selection_enum
  failures with newest openssl.
  Resolves: rhbz#1416123
- Add gemspec_add_dep and gemspec_remove_dep macros.
- Extend 'gem_' macros for pre-release version support.
  Resolves: rhbz#1397390
- Make symlinks for json gem.
  Resolves: rhbz#1308992
rubygem-bigdecimal-1.2.0-29.el7.x86_64 [80 KiB] Changelog by Pavel Valena (2016-06-08):
- Fix hostname size limit
  Resolves: rhbz#1343945
rubygem-bigdecimal-1.2.0-25.el7_1.x86_64 [79 KiB] Changelog by Vít Ondruch (2015-04-27):
- Fix broken DNS Resolv when resolv.conf has option ndots > 1.
  Resolves: rhbz#1200419

Listing created by repoview